import { BigNumberish, Signer } from "ethers";
import { Grouping } from "./types";
import { DecodedCall } from "./abiDecoderController";
import { ProviderOrSigner } from "./localTypes";
export declare class GroupingController {
    private _signer;
    private _groupingAddress;
    private _groupingContract?;
    constructor(groupingAddress: string, signerOrProvider: ProviderOrSigner);
    static deployGroupingContract(signer: Signer, rgTokenAddress: string, erc721Address: string): Promise<Grouping>;
    private _getGroupingContract;
    /** Getters */
    getContract(): Promise<Grouping>;
    isAssetAdded(assetId: BigNumberish): Promise<boolean>;
    getAssets(): Promise<Array<BigNumberish>>;
    getRGToken(): Promise<string>;
    getERC721Address(): Promise<string>;
    /** Helpers */
    static encodeCall(functionName: string, args?: any[]): string;
    static decodeCall(data: string): DecodedCall | null;
}
